Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Name | ### disconnectEvent()
Examples |
    import processing.net.*;

    Client myClient;
    int dataIn;

    void setup() {
      size(200, 200);
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() { }  // Empty draw keeps the program running

    // ClientEvent message is generated when a client disconnects.
    void disconnectEvent(Client someClient) {
      print("Server Says:  ");
      dataIn = myClient.read();
      println(dataIn);
      background(dataIn);

    }
Description | This function is called when a client disconnects.
Syntax |
    void disconnectEvent(client) {
      statements
    }
Parameters |
statements | any valid statements
client | the client that has disconnected
Usage | Application
Related | Client Server

Updated on June 14, 2010 12:05:29pm EDT